Bug 30610 - The 'Print receipt' button on cash management registers page fails on second datatables page
Summary: The 'Print receipt' button on cash management registers page fails on second ...
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff interface (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Martin Renvoize
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 13985
  Show dependency treegraph
 
Reported: 2022-04-25 14:35 UTC by Martin Renvoize
Modified: 2022-06-23 06:56 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact: Martin Renvoize
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00,21.11.06,21.05.16


Attachments
Bug 30610: Update on click binding for print receipt (1.57 KB, patch)
2022-04-25 14:40 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 30610: Update on click binding for print receipt (1.62 KB, patch)
2022-04-25 17:58 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 30610: Update on click binding for print receipt (1.68 KB, patch)
2022-04-26 11:14 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2022-04-25 14:35:50 UTC
On the register details page in cash management, we display a table of transactions.

Right now, the printReceipt button is bound to tightly and as such when you navigate around the transactions table and onto the second page of results the "Print receipt" button stops working.
Comment 1 Martin Renvoize 2022-04-25 14:40:21 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2022-04-25 17:58:40 UTC
Created attachment 133843 [details] [review]
Bug 30610: Update on click binding for print receipt

This patch updates the binding for the on click even of the print
receipt button so that subsequent pages in the datatable work with the
reciept printing button.

Test plan
1) Enable cash management and process enough transactions to display
   more than one page of transactions in the register details page.
2) Confirm the 'Print receipt' button works on the first page of
   transactions
3) Confirm the 'Print receipt' button works on subsequent transactions
   pages in the datatable.
4) Confirm the same for the past transactions table.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Martin Renvoize 2022-04-26 11:14:28 UTC
Created attachment 133875 [details] [review]
Bug 30610: Update on click binding for print receipt

This patch updates the binding for the on click even of the print
receipt button so that subsequent pages in the datatable work with the
reciept printing button.

Test plan
1) Enable cash management and process enough transactions to display
   more than one page of transactions in the register details page.
2) Confirm the 'Print receipt' button works on the first page of
   transactions
3) Confirm the 'Print receipt' button works on subsequent transactions
   pages in the datatable.
4) Confirm the same for the past transactions table.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Martin Renvoize 2022-04-26 11:15:31 UTC
I think we can/should trust Owens SO here as a QA stamp ;).

I have double-checked my work and can confirm I've run the QA script against it and it's happy.. (And we now have this in live running at a site)

Updating the status, thanks for testing Owen. :)
Comment 5 Fridolin Somers 2022-05-02 21:25:50 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄
Comment 6 Kyle M Hall 2022-05-06 17:55:54 UTC
Pushed to 21.11.x for 21.11.06
Comment 7 Victor Grousset/tuxayo 2022-06-23 01:56:12 UTC
Backported: Pushed to 21.05.x branch for 21.05.16
Comment 8 Martin Renvoize 2022-06-23 06:56:00 UTC
Bugfix only, no functional changes so no documentation update required.